Bug 198959 - *.pyc files missing after yum update
*.pyc files missing after yum update
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-language (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-14 19:02 EDT by Jim Cornette
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-17 13:09:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Cornette 2006-07-14 19:02:11 EDT
Description of problem:
After updating a package using yum from one intact version to a later version,
*.pyc files are missing according to rpm -qV

Version-Release number of selected component (if applicable):

system-config-language-1.1.11-1.1

How reproducible:


Steps to Reproduce:
1. have intact version of s-c-language installed
2. upgrade version via yum
3. Notice missing *.pyc files using rpm -qV
  
Actual results:
missing files reported as below:
rpm -qV system-config-language
missing     /usr/share/system-config-language/language_backend.pyc
missing     /usr/share/system-config-language/language_gui.pyc
missing     /usr/share/system-config-language/language_tui.pyc
missing     /usr/share/system-config-language/system-config-language.pyc


Expected results:
If the file is supposed to be missing, no output from rpm. If it is supposed to
be in the package, the files should be present.

Additional info:

This problem seems to happen to a great deal of system-config-* packages. I am
also seeing this problem with docbook packages.

Refer to this thread for reasining why the files are missing.
https://www.redhat.com/archives/fedora-test-list/2006-July/msg00264.html
Comment 1 Paul Nasrat 2006-07-17 13:09:38 EDT
system-config-language-1.1.11-2

Note You need to log in before you can comment on or make changes to this bug.